- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# missing_argument_exception Class Reference
[Format API Interface Functions]

`#include <fastformat/exceptions.hpp>`

Inheritance diagram for missing_argument_exception:

List of all members.

## Detailed Description

Exception class that represents the case where one or more replacement parameters are specified in the format string but no matching arguments are presented in the argument list.

Examples:

  examples/example.ff_101/example.ff_101.cpp.

## Public Types
typedef mismatched_replacements_exception | parent_class_type
| The parent exception class type.
typedef missing_argument_exception | class_type
| This type.
typedef parent_class_type::string_type | string_type
| The string type.
## Public Member Functions
| missing_argument_exception (char const *message, ff_replacement_code_t code, int numberOfReplacements, int firstMismatchedReplacementIndex)
| Constructs an exception with the given message.

## Member Typedef Documentation

typedef mismatched_replacements_exception parent_class_type

The parent exception class type.

Reimplemented from mismatched_replacements_exception.

typedef missing_argument_exception class_type

This type.

Reimplemented from mismatched_replacements_exception.

typedef parent_class_type::string_type string_type

The string type.

Reimplemented from mismatched_replacements_exception.

## Constructor & Destructor Documentation

missing_argument_exception | ( | char const * | message,
|  | ff_replacement_code_t | code,
|  | int | numberOfReplacements,
|  | int | firstMismatchedReplacementIndex |
| ) |  |  | `[inline]`

Constructs an exception with the given message.

Parameters:

  | message | The message. May not be NULL
  | code | The code associated with the condition
  | numberOfReplacements | The number of replacement elements
  | firstMismatchedReplacementIndex | The index of the first mismatched replacement element

The documentation for this class was generated from the following file:

- fastformat/exceptions.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |